.table {
    width: 100%;
    border-collapse: collapse;
    font-size: rem(12);
    line-height: rem(17);

    th,
    td {
        padding: rem(5) rem(5);

        &:first-child {
            padding-left: 0;
        }

        &:last-child {
            padding-right: 0;
        }
    }

    strong {
        font-weight: 600;
    }

    a {
        color: #00A5FF;
        text-emphasis: none;

        strong  {
            color: #00A5FF;
        }

        &:hover {
            color: #00A5FF;
            text-emphasis: none;
        }
    }

    @include media-breakpoint-up(md) {

        th,
        td {
            padding: rem(5) rem(14);

            &:first-child {
                padding-left: rem(14);
            }

            &:last-child {
                padding-right: rem(1);
            }

            //&:first-child {
            //    padding-left: rem(12);
            //}
            //
            //&:last-child {
            //    padding-right: rem(12);
            //}
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(12);
        line-height: rem(17);

        tr {

            &:hover {

                .informer {

                    &__icon {
                        fill: var(--gray-20);
                        transition: var(--transition-time);
                    }
                }
            }
        }
    }
}

.table-striped {

    tr {
        position: relative;

        &:nth-child(odd) {
            background-color: #F7F7F7;

            td {
                &:first-child,
                &:last-child {
                    &:before {
                        top: 0;
                        bottom: 0;
                        content: '';
                        width: 1000px;
                        position: absolute;
                        background-color: #F7F7F7;
                    }
                }

                &:first-child {

                    &:before {
                        right: 100%;
                    }
                }

                &:last-child {

                    &:before {
                        left: 100%;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        tr {

            &:nth-child(odd) {

                td {
                    &:first-child,
                    &:last-child {

                        &:before {
                            display: none;
                        }
                    }
                }
            }
        }
    }
}

.table-custom {
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 4px;

    td {
        padding: rem(5) rem(12);
        border-left: 1px solid var(--gray-10);
        border-bottom: 1px solid var(--gray-10);


        &:first-child {
            padding-left: rem(12);
        }

        &:last-child {
            padding-right: rem(12);
        }

        &:first-child {
            border-right: none;
            background-color: var(--gray-5);
        }
    }

    tr {

        &:first-child {

            td {
                border-top: 1px solid var(--gray-10);
            }
        }

        &:hover {

            td {
                background-color: var(--gray-10);

                &:first-child {
                    border-right-color: white;
                }
            }
        }
    }

    @include media-breakpoint-up(sm) {

        td {

            &:first-child {
                border-left: 1px solid var(--gray-10);
            }

            &:last-child {
                border-right: 1px solid var(--gray-10);
            }
        }

        tr {

            &:first-child {

                td {
                    border-top: 1px solid var(--gray-10);

                    &:first-child {
                        border-top-left-radius: 4px;
                    }

                    &:last-child {
                        border-top-right-radius: 4px;
                    }
                }
            }

            &:last-child {

                td {

                    &:first-child {
                        border-bottom-left-radius: 4px;
                    }

                    &:last-child {
                        border-bottom-right-radius: 4px;
                    }
                }
            }

        }
    }

    @include media-breakpoint-up(md) {}
}

.table-border {
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 4px;

    tr {

        &:nth-child(odd) {

            td {
                &:first-child,
                &:last-child {

                    &:before {
                        display: none !important;
                    }
                }
            }
        }

    }

    tr {

        &:first-child {

            td {
                border-top: 1px solid var(--gray-10);

                &:first-child {
                    border-top-left-radius: 4px;
                }

                &:last-child {
                    border-top-right-radius: 4px;
                }
            }
        }

        &:last-child {

            td {

                &:first-child {
                    border-bottom-left-radius: 4px;
                }

                &:last-child {
                    border-bottom-right-radius: 4px;
                }
            }
        }
    }

    td {
        border-right: 1px solid var(--gray-10);
        border-bottom: 1px solid var(--gray-10);

        &:first-child {
            border-left: 1px solid var(--gray-10);
        }
    }
}

.table-sm {
    font-size: rem(11);
    line-height: rem(16);

    th,
    td  {
        padding: rem(10) rem(5);

        &:first-child {
            padding-left: rem(12);
        }

        &:last-child {
            padding-right: rem(12);
        }
    }
}

.table-layout-fixed {
    table-layout: fixed;
}

.table-gray {
    color: var(--gray-60);

    strong {
        color: var(--gray-70);
    }
}

.table-rounded {
    font-size: rem(14);
    line-height: rem(20);
    border-collapse: separate;
    border-spacing: 0px;

    tr {

        &:not(:last-child) {

            td {
            //    border-bottom: none;
            }
        }
    }

    td, th {
        padding-bottom: 6px;
    }

    td {

        &:not(:last-child) {
            border-right: none;
        }
    }

    tr {

        &:first-child {

            td {

                &:first-child {
                    border-radius: 4px 0 0 0;
                }

                &:last-child {
                    border-radius: 0 4px 0 0;
                }
            }
        }

        &:last-child {

            td {

                &:first-child {
                    border-bottom-left-radius: 4px;
                }

                &:last-child {
                    border-bottom-right-radius: 4px;
                }
            }
        }
    }
}

.table-wrapper {
    margin-left: rem(-16);
    margin-right: rem(-16);

    @include media-breakpoint-up(sm) {
        margin-left: 0;
        margin-right: 0;
    }
}
